<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom" >
<!--% PROCESS 'shared-utils.tpl.html' %-->	
<!--% PROCESS 'shared-episode-summary.tpl.html' %-->	
<!--% USE date %-->
	<channel>
	  <title>Hacker Public Radio ~ Comment Feed</title>
	  <link><!--% baseurl %-->about.html</link>
	  <description>Comments Feed: Hacker Public Radio is an podcast that releases shows every weekday Monday through Friday. Our shows are produced by the community (you) and can be on any topic that are of interest to hackers and hobbyists.</description>
	  <language>en-us</language>
	  <copyright>Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0) License</copyright>
	  <managingEditor>feedback.nospam@nospam.hackerpublicradio.org (HPR Feedback)</managingEditor> 
	  <webMaster>admin.nospam@nospam.hackerpublicradio.org (HPR Webmaster)</webMaster> 
	  <generator>hpr_generator</generator> 
	  <docs>http://www.rssboard.org/rss-specification</docs>
	  <ttl>600</ttl>
	  <image>
		<url><!--% baseurl %-->images/hpr_feed_small.png</url>
		<title>Hacker Public Radio ~ Comment Feed</title>
		<link><!--% baseurl %-->about.html</link>
		<description>The Hacker Public Radio Old Microphone Logo</description>
		<height>164</height>
		<width>144</width>
	  </image>
	  <atom:link href="<!--% baseurl %-->comments.rss" rel="self" type="application/rss+xml" />
	  <pubDate><!--% format_feed_date(date.now) %--></pubDate>
	<!--% USE DBI(constants.driver, constants.user, constants.password) %-->
	<!--% FOREACH item IN DBI.query('
		SELECT C.*, 
			H.host, H.hostid AS host_id, 
			E.title AS episode_title,
			E.date AS episode_date,
			E.duration AS episode_duration,
			M.id AS series_id, M.name AS series_name
		FROM comments AS C
		INNER JOIN eps AS E
			ON C.eps_id = E.id 
		INNER JOIN hosts AS H 
			ON E.hostid = H.hostid 
		INNER JOIN miniseries AS M
			ON E.series = M.id
		ORDER BY C.comment_timestamp  DESC	
		LIMIT 30
	')
	%-->

	<item>
		<title><!--% item.comment_author_name %--> says: <!--% item.comment_title %--></title>
		<author>feedback.nospam@nospam.hackerpublicradio.org (<!--% item.comment_author_name %-->)</author>
		<link><!--% baseurl %-->eps/hpr<!--% zero_pad_left(item.eps_id) %-->/index.html#comments</link>
		<description><![CDATA[<strong>RE: hpr<!--% zero_pad_left(item.eps_id) %-->::<!--% item.episode_date %--> <em><!--% item.episode_title %--></em> by <a href="<!--% baseurl %-->correspondents/<!--% zero_pad_left(item.host_id) %-->.html"><!--% item.host %--></a></strong><!--% rss_show_series(item.series_name, item.series_id) %--><br />
<!--% display_episode_duration(item.episode_duration) %--><!--% display_listen_in(item.eps_id) %--><br /><!--% item.comment_text %-->
]]></description>
		<pubDate><!--% format_feed_date(item.comment_timestamp) %--></pubDate>
		<guid isPermaLink="false"><!--% baseurl %-->eps/hpr<!--% zero_pad_left(item.eps_id) %-->/index.html#comment_<!--% item.id %--></guid>
	</item>
	<!--% END %-->
  </channel>
</rss>
